Subject: [bug#50873] [PATCH 0/5] Fixes to ‘guix home import’

From: Ludovic Courtès <[email-masked]>
Date: Sat, 02 Oct 2021 17:13:05 +0200

Xinglu Chen <[email-masked]> skribis:

> This series makes some fixes to the ‘guix home import’ subcommand which
> brings it into a usable state.
>
> The last patch documents the subcommand in the manual.
>
> As a sidenote, the ‘manifest->code’ procedure in (guix scripts home
> import), which is based on ‘manifest->code’ from (guix profiles) should
> probably be factorized with the original ‘manifest->code’ procedure.
>
> Xinglu Chen (5):
>   guix home: import: Make the user to specify a destination directory.
>   guix home: import: Allow multiple modules to be imported for each
>     service.
>   guix home: import: Fix module name for Bash service.
>   guix home: import: Delete duplicate modules when importing.
>   doc: Document the ‘guix home import’ subcommand.

Could you (Xinglu, Andrew, Oleg?) add tests for this?  I think
Scheme-level tests like we have for the ‘guix import’ code would be
fine.  It would also help review because it’d give a clearer view of how
this is supposed to work.

Thanks for following up on this!

Ludo’.